summaryrefslogtreecommitdiff
path: root/borg-family-0.2/src/etc
diff options
context:
space:
mode:
authorLudovic Pouzenc <ludovic@pouzenc.fr>2021-06-15 16:45:20 +0200
committerLudovic Pouzenc <ludovic@pouzenc.fr>2021-06-15 16:45:20 +0200
commitb9601cf46a75b373f6b6b902d7ac2be38ab2ffe8 (patch)
treedaa3ef109d6f0b1dd7884622a2b2fba8c10e32cb /borg-family-0.2/src/etc
parent1ada10f44e2baf28823156c006c82a076c52f530 (diff)
downloadborg-family-b9601cf46a75b373f6b6b902d7ac2be38ab2ffe8.tar.gz
borg-family-b9601cf46a75b373f6b6b902d7ac2be38ab2ffe8.tar.bz2
borg-family-b9601cf46a75b373f6b6b902d7ac2be38ab2ffe8.zip
borg-family_0.2-1
Diffstat (limited to 'borg-family-0.2/src/etc')
-rwxr-xr-xborg-family-0.2/src/etc/bfhooks43
-rw-r--r--borg-family-0.2/src/etc/confvars4
-rw-r--r--borg-family-0.2/src/etc/excludes.d/home4
-rw-r--r--borg-family-0.2/src/etc/excludes.d/rootfs5
4 files changed, 56 insertions, 0 deletions
diff --git a/borg-family-0.2/src/etc/bfhooks b/borg-family-0.2/src/etc/bfhooks
new file mode 100755
index 0000000..c7ce378
--- /dev/null
+++ b/borg-family-0.2/src/etc/bfhooks
@@ -0,0 +1,43 @@
+#!/bin/bash -e
+mount_bind_rootfs() {
+ if ! mount | grep -q /rootfs; then
+ mkdir -p /rootfs
+ mount --bind / /rootfs
+ fi
+}
+
+mount_efi() {
+ if ! mount | grep -q /boot/efi; then
+ mount /boot/efi
+ fi
+}
+
+umount_bind_rootfs() {
+ if mount | grep -q /rootfs; then
+ umount /rootfs || lsof -n | grep /rootfs
+ rmdir /rootfs
+ fi
+}
+
+umount_efi() {
+ if mount | grep -q /boot/efi; then
+ umount /boot/efi || lsof -n | grep /boot/efi
+ fi
+}
+
+case $1 in
+ before)
+ echo "Start of backup: $2 to $BORG_REPO"
+ case $2 in
+ rootfs) apt-get clean || true; mount_bind_rootfs;;
+ boot-efi) mount_efi ;;
+ esac
+ ;;
+ after)
+ case $2 in
+ rootfs) umount_bind_rootfs ;;
+ boot-efi) umount_efi ;;
+ esac
+ echo "End of backup: $2 to $BORG_REPO"
+ ;;
+esac
diff --git a/borg-family-0.2/src/etc/confvars b/borg-family-0.2/src/etc/confvars
new file mode 100644
index 0000000..4737195
--- /dev/null
+++ b/borg-family-0.2/src/etc/confvars
@@ -0,0 +1,4 @@
+# This file is used by bfenv and bfrun (bash scripts)
+borg_init_opts=( -e repokey-blake2 --make-parent-dirs -v )
+borg_create_opts=( --one-file-system --compression zstd --exclude-caches --exclude-if-present=NOBACKUPDIR.TAG --keep-exclude-tags --list --filter=AMEi-x --stats --show-rc -v )
+quiet=0
diff --git a/borg-family-0.2/src/etc/excludes.d/home b/borg-family-0.2/src/etc/excludes.d/home
new file mode 100644
index 0000000..c7aead3
--- /dev/null
+++ b/borg-family-0.2/src/etc/excludes.d/home
@@ -0,0 +1,4 @@
+**/.cache/*
+/home/*/.mozilla/**/datareporting
+/home/*/.thunderbird/**/global-messages-db.sqlite
+/home/*/.thunderbird/**/ImapMail
diff --git a/borg-family-0.2/src/etc/excludes.d/rootfs b/borg-family-0.2/src/etc/excludes.d/rootfs
new file mode 100644
index 0000000..b61797b
--- /dev/null
+++ b/borg-family-0.2/src/etc/excludes.d/rootfs
@@ -0,0 +1,5 @@
+/rootfs/var/cache/apt/*
+**/.cache/*
+/rootfs/home/*/.mozilla/**/datareporting
+/rootfs/home/*/.thunderbird/**/global-messages-db.sqlite
+/rootfs/home/*/.thunderbird/**/ImapMail